# stream.h File Reference

Go to the source code of this file.

## Typedefs

typedef size_t(* | StreamHandler )(const Image *, const void *, const size_t)

## Functions

MagickExport Image * | ReadStream (const ImageInfo *, StreamHandler, ExceptionInfo *)
MagickExport MagickBooleanType | WriteStream (const ImageInfo *, Image *, StreamHandler)

## Typedef Documentation

typedef size_t(* StreamHandler)(const Image *, const void *, const size_t)

## Function Documentation

MagickExport Image* ReadStream | ( | const ImageInfo * | ,
|  | StreamHandler | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType WriteStream | ( | const ImageInfo * | ,
|  | Image * | ,
|  | StreamHandler |  |
| ) |  |  |